## Get one current shared location **get** `/api/location/{number}` Read the current Find My location for one contact if that contact already shares with the sending Sendblue number. ### Path Parameters - `number: string` ### Query Parameters - `from_number: string` Your Sendblue number in E.164 format ### Returns - `from_number: optional string` - `location: optional object { accuracy, address, altitude, 6 more }` - `accuracy: optional number` - `address: optional string` - `altitude: optional number` - `expiresAt: optional string` - `latitude: optional number` - `locationType: optional "shallow" or "live" or "legacy" or "unknown"` - `"shallow"` - `"live"` - `"legacy"` - `"unknown"` - `longitude: optional number` - `refreshError: optional string` Present when cached data is returned after a refresh error - `timestamp: optional string` - `number: optional string` - `state: optional "not_shared" or "shared_no_fix_yet" or "shared_with_fix"` - `"not_shared"` - `"shared_no_fix_yet"` - `"shared_with_fix"` - `status: optional "OK"` - `"OK"` ### Example ```http curl https://api.sendblue.co/api/location/$NUMBER \ -H "sb-api-key-id: $SENDBLUE_API_API_KEY" \ -H "sb-api-secret-key: $SENDBLUE_API_API_SECRET" ``` #### Response ```json { "from_number": "+18887776666", "location": { "accuracy": 12, "address": "San Francisco, CA", "altitude": 8, "expiresAt": "2026-06-30T20:00:00.000Z", "latitude": 37.7749, "locationType": "live", "longitude": -122.4194, "refreshError": "Timed out refreshing Find My locations", "timestamp": "2026-06-30T19:00:00.000Z" }, "number": "+19998887777", "state": "shared_with_fix", "status": "OK" } ```